Page MenuHomePhabricator

Cross-wiki notifications: Make cross-wiki API requests server-side
Closed, ResolvedPublic

Description

Making the cross-wiki requests client-side was a good proof of concept, and actually worked out pretty well. But as people lock up their browser privacy settings we start to run into issues and stuff.

We should make these API requests server-side using curl multi async stuff, and return the output as part of the meta=notifications API response.

Details

Related Gerrit Patches:
mediawiki/extensions/Echo : masterLet frontend always query local for foreign sources, instead of those foreign APIs
mediawiki/extensions/Echo : masterUse server-side cross-wiki requests in the frontend
mediawiki/extensions/Echo : masterServer-side crosswiki requests
mediawiki/extensions/Echo : master[WIP] server-side crosswiki requests

Event Timeline

Legoktm created this task.Mar 22 2016, 4:44 PM

Change 282738 had a related patch set uploaded (by Matthias Mullie):
[WIP] server-side crosswiki requests

https://gerrit.wikimedia.org/r/282738

Change 284677 had a related patch set uploaded (by Matthias Mullie):
Server-side crosswiki requests

https://gerrit.wikimedia.org/r/284677

Change 284682 had a related patch set uploaded (by Matthias Mullie):
Let frontend always query local for foreign sources, instead of those foreign APIs

https://gerrit.wikimedia.org/r/284682

Change 282738 abandoned by Matthias Mullie:
[WIP] server-side crosswiki requests

Reason:
This one was split up into multiple patches & I forgot to set the same Change-Id. Anyway, this patch is not https://gerrit.wikimedia.org/r/#/c/284677 dependencies.

https://gerrit.wikimedia.org/r/282738

Change 284677 merged by jenkins-bot:
Server-side crosswiki requests

https://gerrit.wikimedia.org/r/284677

Change 286782 had a related patch set uploaded (by Catrope):
Use server-side cross-wiki requests in the frontend

https://gerrit.wikimedia.org/r/286782

Change 286782 merged by jenkins-bot:
Use server-side cross-wiki requests in the frontend

https://gerrit.wikimedia.org/r/286782

Change 284682 abandoned by Catrope:
Let frontend always query local for foreign sources, instead of those foreign APIs

Reason:
Done by Moriel in https://gerrit.wikimedia.org/r/286782 , although that commit is hacky and better approaches are welcome.

https://gerrit.wikimedia.org/r/284682

jmatazzoni closed this task as Resolved.May 6 2016, 4:38 PM
AuFCL removed a subscriber: AuFCL.Nov 21 2016, 7:39 PM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptNov 21 2016, 7:39 PM